Skip to main content
GET
Get Tasks List

Authorizations

Authorization
string
header
required

Api key for application authentication

Query Parameters

group
string

Filter tasks by group

Example:

"keyword"

Response

Task list returned successfully

id
number
required

Unique task identifier

Example:

685

running
boolean | null
required

Whether the task is currently running

Example:

false

module
enum<string>
default:twitter

Platform module to monitor

Available options:
twitter,
truth_social,
twitter_keyword
Example:

"twitter"

userId
string

Internal user identifier

Example:

"118329"

user
string

Username to monitor (not applicable for keyword tasks)

Example:

"Gioppooo"

keyword
string

Keyword to monitor (used by twitter_keyword module)

Example:

"bitcoin"

group
string

Task group for organization

Example:

"influencers"

options
enum<string>[]

Monitoring options

Monitoring option

Available options:
posts,
retweets,
replies,
deletion,
following,
unfollow,
userUpdates,
ocr,
subscriptions,
private
Example:
notification
enum<string>
default:discord

Notification method

Available options:
discord,
telegram,
webhook,
websocket
Example:

"discord"

differentWebhooks
boolean
default:false

Whether to use different webhooks/chat IDs per monitoring option

Example:

false

webhook
string

Discord webhook URL or custom webhook URL

Example:

"https://discord.com/api/webhooks/..."

webhook-posts
string

Webhook for posts (if differentWebhooks is true)

webhook-following
string

Webhook for following updates (if differentWebhooks is true)

webhook-unfollow
string

Webhook for unfollow updates (if differentWebhooks is true)

webhook-userUpdates
string

Webhook for user updates (if differentWebhooks is true)

webhook-deletion
string

Webhook for deletion updates (if differentWebhooks is true)

chatId
string

Telegram chat ID

Example:

"123456789"

chatId-posts
string

Telegram chat ID for posts (if differentWebhooks is true)

chatId-following
string

Telegram chat ID for following updates (if differentWebhooks is true)

chatId-unfollow
string

Telegram chat ID for unfollow updates (if differentWebhooks is true)

chatId-userUpdates
string

Telegram chat ID for user updates (if differentWebhooks is true)

chatId-deletion
string

Telegram chat ID for deletion updates (if differentWebhooks is true)

pingKeywords
object

Keywords or regex configuration used for selective pinging

Example:
useRegex
boolean
default:false

Whether to use regex for ping keywords

Example:

false

ping
enum<string>
default:none

Discord ping option

Available options:
everyone,
here,
role,
none
Example:

"everyone"

roleId
string

Discord role ID to ping (required if ping is role)

Example:

"123456789012345678"

note
string

Task note shown in notifications

Example:

"high priority profile"

Custom quick link included in notifications

Example:

"https://x.com/Gioppooo"

ignoreImages
boolean
default:false

Whether to ignore images in notifications

Example:

false

ignoreVideos
boolean
default:false

Whether to ignore videos in notifications

Example:

false

followingFilters
object

Filters for following notifications (typically used with Discord and Telegram notifications)

userUpdatesOptions
object

Options for user update notifications (typically used with Discord and Telegram notifications)